def get_path_inject
    return path_inject = "AWS_DEFAULT_REGION=\"eu-west-1\" " +
            "AWS_ACCESS_KEY_ID=\"#{$master_access_key}\" " +
            "AWS_SECRET_ACCESS_KEY=\"#{$master_secret_key}\" "
end

def sanitize_for_filename(path)
    return path.tr("/", "_")
end

def upload_to_s3 (source_dir, s3_destination)
    cmd_sync = "#{get_path_inject} aws s3 sync #{source_dir} s3://#{s3_destination} --acl public-read"
    source_sanitized = sanitize_for_filename(source_dir)
    destination_sanitized = sanitize_for_filename(s3_destination)
    system_safe(cmd_sync, "s3_upload_#{source_sanitized}_to_#{destination_sanitized}", "distribution failed on aws sync")
    puts "distribution success to s3: #{s3_destination}"
end

def copy_directory(s3_source, s3_destination)
    cmd = "#{get_path_inject} aws s3 sync s3://#{s3_source} s3://#{s3_destination} --delete --acl public-read"
    source_sanitized = sanitize_for_filename(s3_source)
    destination_sanitized = sanitize_for_filename(s3_destination)
    system_safe(cmd, "s3_copy_#{source_sanitized}_to_#{destination_sanitized}", "distribution failed on aws copy")
    puts "distribution success to s3: #{s3_destination}"
end